KimsFactory*

Android [안드로이드] Runtime JAR files in the classpath should have the same version. 오류 해결 본문

Android

Android [안드로이드] Runtime JAR files in the classpath should have the same version. 오류 해결

KimsFactroy 2022. 3. 29. 13:46

compose_version = '1.0.1' 에서 1.1.1 로 변경시에 

> Task :app:kaptGenerateStubsDebugKotlin
w: Runtime JAR files in the classpath should have the same version. These files were found in the classpath:
    C:/Users/user/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-stdlib-jdk8/1.5.30/5fd47535cc85f9e24996f939c2de6583991481b0/kotlin-stdlib-jdk8-1.5.30.jar (version 1.5)
    C:/Users/user/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-stdlib-jdk7/1.5.30/525f5a7fa6d7790a571c07dd24214ed2dda352fe/kotlin-stdlib-jdk7-1.5.30.jar (version 1.5)
    C:/Users/user/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-stdlib/1.6.10/b8af3fe6f1ca88526914929add63cf5e7c5049af/kotlin-stdlib-1.6.10.jar (version 1.6)
    C:/Users/user/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-stdlib-common/1.6.10/c118700e3a33c8a0d9adc920e9dec0831171925/kotlin-stdlib-common-1.6.10.jar (version 1.6)
w: Some runtime JAR files in the classpath have an incompatible version. Consider removing them from the classpath

위와 같은 오류가 난다면

프로젝트 수준의 bild.gradle 에서 코틀린 버전을 올림으로써 해결.

 

id 'org.jetbrains.kotlin.android' version '1.5.21' apply false

id 'org.jetbrains.kotlin.android' version '1.6.10' apply false

0 Comments
댓글쓰기 폼